<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->
<script setup lang="ts">
import { Disclosure, DisclosureButton, DisclosurePanel } from '@headlessui/vue';

const props = defineProps<{
    icon: string,
    label: string,
    color?: string
}>();

</script>
<template>
    <Disclosure v-slot="{open}">
        <DisclosureButton class="flex flex-row gap-2 hover:bg-gray-100 w-full py-1 px-2 rounded-md">
            <i :class="[`ri-${icon}-line ri-lg mt-1`,color]"></i>
            <span>{{label}}</span>
            <i :class="`ri-arrow-${open?'up':'down'}-s-line`"></i>
        </DisclosureButton> 
        <DisclosurePanel>
            <div class="ml-4">
                <slot></slot>
            </div>
        </DisclosurePanel>
    </Disclosure>
</template>